function Vguess = GetBewleyVGuess(S)
% Calculates a guess for the value function for the parameters in the
% object S.

r = S(1).params.r; rho = S(1).params.rho; u = S(1).params.u; 
                                        % read out parameters
nGridVec = S(1).nGridVec;  kk = S(1).xGrid;  yy = S(2).xGrid;
                                        % read out grids

c = (r+rho)*kk + (1+rho)*yy;            % consumption for initial guess
c(1,:) = yy(1,:);
S(1).a = r*kk + yy - c;                 % get implied law of motion for k
S = GetHamMatrix(S);                    % Get the Hamiltonian matrix and
FU = u(c);                              % calculate value if these policies
KK = rho*speye( S(1).nSts ) - S(1).K;   % are played forever from a system
VguessVec = KK \ FU(:);                 % of equation.

if nGridVec(2)==1                       % If there's only one income level:
    Vguess = VguessVec;                 % this is the value function.
else                                    % If there are more: reshape.
    Vguess    = reshape(VguessVec,nGridVec');
end
