function y = GetDrawProbDist(x,n,sizDraw)
x = x(:);                       % vectorize inputs in case they're arrays
nVar = length(x);               % # of realizations of random variable
n  = n(:);                    
F = cumsum(n);                  % Get cdf of x
 
if nargin<3                     % If sizDraw is not handed over:
    sizDraw=[1 1];              % draw a scalar.
elseif size(sizDraw)==[1 1]     % If sizDraw is scalar: Return a sizDraw x
    sizDraw=[sizDraw  sizDraw]; % sizDraw matrix of draws (as 'rand', 
end                             % 'randn' etc. do)
nDraw = prod(sizDraw);

u   = rand([1 nDraw]);          % draw row vector of uniform random numbers
uu  = u(ones(nVar,1),:);        % extend downward to # of realizations of x
FF  = F(:,ones(1,nDraw));       % extend FF to right to # of draws
ind = 1 + sum((uu>FF),1);       % count how many x's have smaller cdf than draw
yy  = x(ind);                   % read out random variable from this index
y   = reshape(yy,sizDraw);      % reshape result to desired size and return



