function out = GetLogGrid(LowBd,UpBd,Abs0,N)
% Constructs logarithmic grid with N points on [LowBd, UbBd], where Abs0 < 
% LowBd is where the grid points would converge to.
%
% Input:
% LowBd:    scalar. Lowest grid point.
% UpBd:     scalar. Highest grid point.
% Abs0:     scalar, <LowBd. Point the log grid would converge to.
% N:        scalar. Number of grid points.
% 
% Output:
% N x 1 vector with grid.

loglb = log(LowBd-Abs0);
logub = log(UpBd-Abs0);
loggrid = linspace(loglb,logub,N);
out = exp(loggrid)+Abs0;